# Allow remote set quota by defined rpcsetquota to 1 (set to 0 to disabled it)
%{!?rpcsetquota:%define rpcsetquota 1}

Name: quota
Summary: System administration tools for monitoring users' disk usage.
Epoch: 1
Version: 3.13
Release: 8%{?dist}
License: BSD
URL: http://sourceforge.net/projects/linuxquota/
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
Requires: initscripts >= 6.38
Conflicts: kernel < 2.4
BuildPreReq: e2fsprogs-devel gettext tcp_wrappers
BuildRequires: openldap-devel openssl-devel
BuildRequires: autoconf
Source0: http://unc.dl.sourceforge.net/sourceforge/linuxquota/quota-%{version}.tar.gz
Patch0:	quota-3.06-warnquota.patch
Patch1: quota-3.06-no-stripping.patch
Patch2: quota-3.06-man-page.patch
Patch3: quota-3.06-pie.patch
Patch4: quota-3.13-wrong-ports.patch
Patch5: quota-3.13-junk-err-fix.patch
Patch6: quota-3.13-quotactlman.patch
Patch7: quota-3.13-quotatabcomment.patch
Patch8: quota-3.13-alwaysresolve.patch
Patch9: quota-3.13-exportednfs.patch
Patch10: quota-3.13-rquotad3Ninconsistency.patch
Patch11: quota-3.13-ext4support.patch
Patch12: quota-3.12-show_period_over_hard_limit.patch
Patch13: quota-3.12-warnquota_man-does_not_support_nfs.patch
Patch14: quota-3.13-structure-if_dqblk-and-if_dqinfo-changed-name.patch
# In upstream 4.00_pre2, SF#3202953, RH#638578
Patch15: quota-3.13-Disable-grace-period-times-remote-setting.patch
# In upstream 4.00_pre2, SF#3195046, RH#680429
Patch16: quota-3.13-Do-not-use-real-domains-in-warnquota-example.patch
# In upstream 4.00_pre1, RH#689822
Patch17: quota-3.13-Use-proc-mounts-for-mountpoint-scanning.patch
# In upstream 4.00_pre1, RH#667360
Patch18: quota-3.17-Convert-quota-limits-using-rq_bsize-from-RPC-request.patch
# In upstream after 4.00, SF#3152423, RH#667360
Patch19: quota-3.17-Make-RPC-block-factor-dynamic.patch
# In upstream 3.17, RH#831520
Patch20: quota-3.13-Fix-setting-of-more-than-31-bit-block-and-inode-limi.patch
# In upstream 3.17, SF#2743481, RH#841448, CVE-2012-3417
Patch21: quota-3.13-goodclient.patch


%description
The quota package contains system administration tools for monitoring
and limiting user and or group disk usage per filesystem.


%prep
%setup -q -n quota-tools
%patch0 -p1
%patch1 -p1
%patch2 -p1
%ifnarch ppc ppc64
%patch3 -p1
%endif
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1 -b .3N
%patch11 -p1 -b .ext4
%patch12 -p1 -b .show_period
%patch13 -p0 -b .warnquota_man
%patch14 -p1 -b .quotactl_struct_renames
%patch15 -p1 -b .disable_remote_grace_setting
%patch16 -p1 -b .warnquota_domains
%patch17 -p1 -b .use_proc_mounts
%patch18 -p1 -b .use_rq_bsize
%patch19 -p1 -b .rpc_block_factor_dynamic
%patch20 -p1 -b .31b_setquota
%patch21 -p1 -b .goodclient

# Regenerate configure (Patch17)
autoconf

%build
%configure \
    --with-ext2direct=no --enable-rootsbin \
    --enable-ldapmail=try \
%if %{rpcsetquota}
    --enable-rpcsetquota=yes
%endif
make


%install
rm -fr %{buildroot}
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/{man1,man2,man3,man8}
make install ROOTDIR=%{buildroot}
install -m 644 warnquota.conf %{buildroot}%{_sysconfdir}
#
# we don't support XFS yet
#
rm -f %{buildroot}%{_sbindir}/quot
rm -f %{buildroot}%{_sbindir}/xqmstats
rm -f %{buildroot}%{_mandir}/man8/quot.*
rm -f %{buildroot}%{_mandir}/man8/xqmstats.*
ln -s quotaon.8.gz %{buildroot}%{_mandir}/man8/quotaoff.8
ln -s rquotad.8.gz %{buildroot}%{_mandir}/man8/rpc.rquotad.8

%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/warnquota.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/quotatab
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/quotagrpadmins
%attr(0755,root,root) /sbin/*
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/*
%{_includedir}/rpcsvc/*
%attr(0644,root,root) %{_mandir}/man1/*
%attr(0644,root,root) %{_mandir}/man2/*
%attr(0644,root,root) %{_mandir}/man3/*
%attr(0644,root,root) %{_mandir}/man8/*


%changelog
* Tue Jul 31 2012 Petr Pisar <ppisar@redhat.com> - 1:3.13-8
- Fix CVE-2012-3417 (incorrect use of tcp_wrappers) (Resolves: #841448)

* Thu Jun 14 2012 Petr Pisar <ppisar@redhat.com> - 1:3.13-7
- Fix parsing numeric arguments of setquota (Resolves: #831520)

* Thu May 10 2012 Petr Pisar <ppisar@redhat.com> - 1:3.13-6
- Do not use real domains in warnquota example (Resolves: #680429)
- Use /proc/mounts for mountpoint scanning (Resolves: #689822)
- Use rq_bsize to convert quotas transferred by RPC (bug #667360)
- Make RPC block factor dynamic (bug #667360)

* Thu Mar 10 2011 Petr Pisar <ppisar@redhat.com> - 1:3.13-5
- Disable grace period/times remote setting (Resolves: #638578)

* Wed Nov 24 2010 Petr Pisar <ppisar@redhat.com> - 1:3.13-4
- Fix quotactl(2) manual to refer struct dqblk and dqinfo instead of if_dqblk
  and if_dqblk (Resolves: #656827)

* Wed Aug 04 2010 Petr Pisar <ppisar@redhat.com> - 1:3.13-3
- Do not pass ext4 FS to ext2_direct_scan() (Related: #500231)

* Wed Jul 21 2010 Petr Pisar <ppisar@redhat.com> - 1:3.13-2
- Enable LDAP support (Resolves: #447780, #459494)
- Enable remote quota support (Resolves: #469753)
- Fix rpc manual chapter inconsistency in rquotad(8) page (Resolves: #474836)
- Add ext4 file system support (Resolves: #500231)
- Add quotaoff(8) symlink to quotaon(8) manual (Resolves: #574804)
- Show grace period even if hard limit has been reached (Resolves: #589472)
- warnquota(8) manual should constrain only to local FS (Resolves: #589523)
- Remove xqmstats(8) manual as we do not provide the executable
  (Resolves: #589578)
- Add rpc.rquotad(8) symlink to rquotad(8) manual (Resolves: #595729)

* Fri Jul 18 2008 Ondrej Vasik <ovasik@redhat.com> 1:3.13-1.2.5
- fix rpc.rquotad to find proper exported nfs file system
  (bz #244577)
* Thu Jul 17 2008 Ondrej Vasik <ovasik@redhat.com> 1:3.13-1.2.4
- comment out examples in sample quotatab(bz #435995)
- Used #include <sys/quota.h> instead of <linux/quota.h> in
  quotactl manpage(bz #431978)
- always resolve numeric usernames(bz #234558)

* Wed Nov  1 2006 Steve Dickson <SteveD@RedHat.com> 1:3.13-1.2.3.2
- Added range checking on -p flag (bz 205145)
- Error message prints garbage characters (bz 201226)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:3.13-1.2.3.1
- rebuild

* Fri Jun 30 2006 Steve Dickson <steved@redhat.com> - 1:3.13-1.2.3
- fix 192826 - quota config files should not be overwritten

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:3.13-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:3.13-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Oct 31 2005 Steve Dickson <steved@redhat.com> 3.13-1
- Upgraded to version 3.13 (bz# 171245)

* Thu Aug 18 2005 Florian La Roche <laroche@redhat.com>
- change the "Requires: kernel" into a "Conflicts:"

* Sun Sep 26 2004 Rik van Riel <riel@redhat.com> 3.12-5
- add URL (bz# 131862)

* Fri Sep 24 2004 Steve Dickson <SteveD@RedHat.com>
- Fixed typos in warnquota.conf patch 
  (bz# 82250 and bz# 83974)

* Mon Sep 13 2004 Steve Dickson <SteveD@RedHat.com>
- upgraded to 3.12

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- add -pie support
- update to 3.10

* Sat Aug 16 2003  Steve Dickson <SteveD@RedHat.com>
- upgraded to 3.0.9
- added quota-3.09-root_sbindir.patch

* Sun Aug 10 2003 Elliot Lee <sopwith@redhat.com> 3.06-11
- Rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Steve Dickson <SteveD@RedHat.com>
- rebuilt for 7.3 errata

* Tue Feb 25 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 23 2003 Tim Powers <timp@redhat.com>
- add buildprereq on tcp_wrappers

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Nov 18 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches


* Fri Sep 6 2002 Philip Copeland <bryce@redhat.com> 3.06-5
- added --with-ext2direct=no to fix #73244
  without this users with UID's > 65535 will not
  be able to exist on a quota enabled FS

* Wed Aug 7 2002 Philip Copeland <bryce@redhat.com> 3.06-4
- Man page change. #60108

* Tue Aug 6 2002 Philip Copeland <bryce@redhat.com> 3.06-3
- Bah, I'd dropped epoch from the spec file but seems
  we need this if you want to upgrade as the epoch
  number has precedence over the version/release
  numbers.

* Wed Jul 17 2002 Philip Copeland <bryce@redhat.com> 3.06-2
- Lets stop the makefile from stripping the
  binaries as thats rpms job (apparently)

* Mon Jul 01 2002 Philip Copeland <bryce@redhat.com> 3.06-1
- Ditched the 3.01-pre9 src base for 3.06
  Rebuilt without any patchs

============================================================

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Feb 25 2002 Elliot Lee <sopwith@redhat.com>
- IfArch the badkernelinclude patch for ppc-only.
- Update to 3.03

* Wed Dec 12 2001 Guy Streeter <streeter@redhat.com>
- Make #include of kernel header file work on non-x86

* Wed Sep  5 2001 Preston Brown <pbrown@redhat.com>
- require new initscripts

* Thu Aug 30 2001 Preston Brown <pbrown@redhat.com>
- fixed bug #52075 (problem with ext2 labels)
- backup data files off by default in quotacheck, optional backup flag added
- fix bug where giving a bad directory or device would cause 
  quotaon/quotacheck to simulate "-a" behaviour
- if a device name (i.e /dev/hda1) is passed, look up the corresponding mount
  point

* Wed Aug 29 2001 Preston Brown <pbrown@redhat.com>
- return an error code in more cases in convertquota

* Tue Aug 28 2001 Preston Brown <pbrown@redhat.com>
- 3.01pre9

* Fri Jul 20 2001 Preston Brown <pbrown@redhat.com>
- more cleanups on 3.01pre8

* Mon Jul  2 2001 Preston Brown <pbrown@redhat.com>
- 3.01 version, everything has changed again. :(

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Mar 30 2001 Preston Brown <pbrown@redhat.com>
- use rpc.rquotad from here again (#33738)

* Thu Mar 15 2001 Preston Brown <pbrown@redhat.com>
- enable ALT_FORMAT for edquota

* Tue Mar 13 2001 Preston Brown <pbrown@redhat.com>
- I broke passing devices on the cmd line.  Fixed.

* Fri Mar 09 2001 Preston Brown <pbrown@redhat.com>
- quota 3.00 is required by recent kernel 2.4 changes
- no warnquota included this time, not yet ported
- quite a bit of work on quotacheck to make is backwards compatible
- we will likely go back to "quota 2.00" as these projects merge...

* Fri Feb 09 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- use "rm -f" instead of only "rm"

* Wed Feb  7 2001 Preston Brown <pbrown@redhat.com>
- fix quotacheck man page for -a option (#26380)

* Thu Feb  1 2001 Preston Brown <pbrown@redhat.com>
- 2.00 final, rolls in pretty much all our patches. :)
- fix reporting of in use dquot entries from quotastats
- change repquota man page to fix documentation of -v (#10330)
- include warnquota.conf

* Mon Nov 20 2000 Bill Nottingham <notting@redhat.com>
- fix ia64 build

* Mon Aug 21 2000 Jeff Johnson <jbj@redhat.com>
- add LABEL=foo support (#16390).

* Thu Jul 27 2000 Jeff Johnson <jbj@redhat.com>
- remote NFS quotas with different blocksize converted incorrectly (#11932).

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Wed May 10 2000 Jeff Johnson <jbj@redhat.com>
- apply patch5 (H.J. Lu)

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Tue Jan 18 2000 Preston Brown <pbrown@redhat.com>
- quota 2.00 series
- removed unnecessary patches

* Thu Aug  5 1999 Jeff Johnson <jbj@redhat.com>
- fix man page FUD (#4369).

* Thu May 13 1999 Peter Hanecak <hanecak@megaloman.sk>
- changes to allow non-root users to build too (Makefile patch, %attr)

* Tue Apr 13 1999 Jeff Johnson <jbj@redhat.com>
- fix for sparc64 quotas (#2147)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Mon Dec 28 1998 Cristian Gafton <gafton@redhat.com>
- don't install rpc.rquotad - we will use the one from the knfsd package
  instead

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- merge ultrapenguin 1.1.9 changes.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- removed patch for mntent

* Fri Mar 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- updated to quota 1.66

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- builds rquotad
- installs rpc.rquotad.8 symlink

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- removed /usr/include/rpcsvc/* from filelist
- uses a buildroot and %attr

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Moved /usr/sbin/quota to /usr/bin/quota
